[eVuln] PHP iCalendar File Inclusion Vulnerability Feb 08 2006 11:29PM
alex evuln com
New eVuln Advisory:
PHP iCalendar File Inclusion Vulnerability

eVuln ID: EV0070
Software: PHP iCalendar
Sowtware's Web Site: http://phpicalendar.net/
Versions: 2.0.1 2.1 2.2
Critical Level: Dangerous
Type: File Inclusion
Class: Remote
Status: Patched
Exploit: Not Available
Solution: Available
Discovered by: Aliaksandr Hartsuyeu (eVuln.com)

File: functions/template.php
Function parse($file) calls include($file) without correct sanitation of variable $file

File: search.php
Parameter getdate isn't properly sanitized and may contain a filepath.

All this can be used to make inclusion of arbitrary server-side file.

System access is possible.

Exploitation code will be published in 3 days

Vendor-provided patch is available at:


Discovered by: Aliaksandr Hartsuyeu (eVuln.com)

[ reply ]


Privacy Statement
Copyright 2010, SecurityFocus